Subject: Re: [PATCH v2 1/3] last-modified: rewrite error message when more than one revision given

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 15 Jan 2026 15:34:50 +0100

On Thu, Jan 15, 2026, at 12:54, Patrick Steinhardt wrote:
> On Thu, Jan 15, 2026 at 12:33:36PM +0100, Toon Claes wrote:
>>[snip]
>> I was thinking about mentioning something like "commit-ish" instead, but
>> I felt "commit-ish" isn't a commonly used term toward end-users. Looking
>> at gitglossary(7), it says "revision" is a "synonym for commit". I'm
>> happy to change this message, but I'm not sure s/revision/commit-ish/ is
>> the best change for this.
>
> gitglossary(7) also defines commit-ish, but I guess you're right that
> revision is the more common term. I'm a bit surprised that it's defined
> to be a synonym for a commit, but oh, well.

Surprised that “revision” is a synonym for commit? Why is that?